Bug 146697 - Mozilla browsers and printing in Greek
Mozilla browsers and printing in Greek
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 15:51 EST by Nikos Charonitakis
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printing through epiphany a web page with greek text (90.35 KB, image/png)
2006-06-05 09:18 EDT, Nikos Charonitakis
no flags Details

  None (edit)
Description Nikos Charonitakis 2005-01-31 15:51:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020 Epiphany/1.4.4

Description of problem:
this is a long time problem problem with mozilla and printing in Greek (and maybe other languages).
When a user tries to print in greek (although print preview is working fine) the result is to get a printout full of scattered unrecognized characters mixed with latin fonts and numbers (if the document includes latin characters and numbers).
One solution mentioned by a user is to copy and paste text in an editor like gedit and then print but this is not a good solution...

Note:
Fedora core does not ship with greek fonts but greek users install them (usually ms webfonts) and try to print from mozilla browsers (epiphany, firefox) from time to time :)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.print web pages with greek text
2.
3.
  

Actual Results:  greek text cant be print

Expected Results:  print greek text

Additional info:
Comment 1 yuval aviel 2005-04-19 05:08:15 EDT
same for Hebrew pages, only the printout is made not of "scattered unrecognized
characters", but blank spaces and some comas "," and periods ".".

I'm afraid this is related to the delibarate disabaling of the Xprint component
in RH rpms. See https://bugzilla.mozilla.org/show_bug.cgi?id=133534

Pango should solve it, but it doesn't (at least not for Hebrew fonts).
Comment 2 Nikos Charonitakis 2006-03-27 06:30:00 EST
this problem exists and in fc5.
Comment 3 Nikos Charonitakis 2006-06-05 09:18:06 EDT
Created attachment 130494 [details]
printing through epiphany a web page with greek text
Comment 4 Simos Xenitellis 2006-06-05 10:20:32 EDT
Could someone check with the Linux build of Firefox 2.0alfa and provide an
attachment?

Firefox 2.0(???) is supposed to use Pango.

Could the issue also be related to the PDF/Postcrypt viewer not being able to
display Greek/Hebrew/etc?
Comment 5 Nikos Charonitakis 2006-10-01 06:05:35 EDT
i checked firefox and there is no problem now in fc5
epiphany problem remains though.
 
Comment 6 Simos Xenitellis 2006-10-01 06:41:10 EDT
Nikos, at some point the http://planet.hellug.gr/ website defined in the
stylesheet the Bitstream Vera font as the default font of the page. Perhaps
Epiphany honors this setting and ignores all other fonts?
Could you please test again with the same page (has been fixed to define
"DejaVu";  but not "DejaVu LGC"). 
Comment 7 Nikos Charonitakis 2006-10-01 07:06:36 EDT
same result also for http://planet.hellug.gr/.
i think that epiphany in fc6 will be in line with firefox (Pango support)
Comment 8 Nikos Charonitakis 2006-10-29 16:20:33 EST
i ve tried to print from mozilla browsers (epiphany-firefox) in FC6 and both are
Ok. I can say that at least for Greek language this problem is resolved in FC6.
Comment 9 Christopher Aillon 2006-10-29 16:22:09 EST
Ok, resolving then.
Comment 10 Dimitris Glezos 2006-10-29 17:07:39 EST
I confirm that printing greek from firefox in FC6 is OK.

Note You need to log in before you can comment on or make changes to this bug.